Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable
Interface IObservableCollection

All Superinterfaces:
  Collection, IObservable, Iterable

All Known Subinterfaces:
  IObservableList, IObservableSet, ISWTObservableList, IViewerObservableList, IViewerObservableSet

All Known Implementing Classes:
  AbstractObservableList, AbstractObservableSet, ComputedList, ComputedSet, DecoratingObservableCollection, DecoratingObservableList, DecoratingObservableSet, ListToSetAdapter, MappedSet, MultiList, ObservableList, ObservableSet, UnionSet, WritableList, WritableSet

    public interface IObservableCollection

extends IObservable, Collection

Interface for observable collections. Only general change listeners can be added to an observable collection. Listeners interested in incremental changes have to be added using more concrete subtypes such as `IObservableList` or `IObservableSet`.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients. Clients should instead subclass one of the classes that implement this interface. Note that direct implementers of this interface outside of the framework will be broken in future releases when methods are added to this interface.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`Object` `getElementType()` Returns the element type of this observable collection, or `null` if this observable collection is untyped.

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### getElementType

    Object getElementType()

  Returns the element type of this observable collection, or `null` if this observable collection is untyped.

  Returns:
    the element type of this observable collection, or `null` if this observable collection is untyped.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.